org.eclipse.viatra.transformation.debug.model.transformationstate

## Class TransformationStateBuilder

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.transformationstate.TransformationStateBuilder

-     public class TransformationStateBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationStateBuilder(TransformationModelBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationFired(Activation<?> act)`
    `void` | `activationFiring(Activation<?> act)`
    `TransformationStateBuilder` | `addRule(org.eclipse.xtext.xbase.lib.Pair<RuleSpecification<?>,EventFilter<?>> rule)`
    `TransformationState` | `build()`
    `void` | `nextActivationChanged(Activation<?> act)`
    `TransformationStateBuilder` | `removeRule(org.eclipse.xtext.xbase.lib.Pair<RuleSpecification<?>,EventFilter<?>> rule)`
    `TransformationStateBuilder` | `setActivations(java.util.Set<Activation<?>> conflictingActivations, java.util.Set<Activation<?>> nextActivations)`
    `TransformationStateBuilder` | `setBreakpointHit(ITransformationBreakpointHandler breakpointHit)`
    `TransformationStateBuilder` | `setID(java.lang.String iD)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformationStateBuilder

          public TransformationStateBuilder(TransformationModelBuilder builder)

  - ### Method Detail

    - #### setID

          public TransformationStateBuilder setID(java.lang.String iD)

    - #### activationFiring

          public void activationFiring(Activation<?> act)

    - #### nextActivationChanged

          public void nextActivationChanged(Activation<?> act)

    - #### activationFired

          public void activationFired(Activation<?> act)

    - #### setBreakpointHit

          public TransformationStateBuilder setBreakpointHit(ITransformationBreakpointHandler breakpointHit)

    - #### addRule

          public TransformationStateBuilder addRule(org.eclipse.xtext.xbase.lib.Pair<RuleSpecification<?>,EventFilter<?>> rule)

    - #### removeRule

          public TransformationStateBuilder removeRule(org.eclipse.xtext.xbase.lib.Pair<RuleSpecification<?>,EventFilter<?>> rule)

    - #### setActivations

          public TransformationStateBuilder setActivations(java.util.Set<Activation<?>> conflictingActivations,
                                                           java.util.Set<Activation<?>> nextActivations)

    - #### build

          public TransformationState build()